获取文件内容
curl --request GET \
--url https://api.moonshot.cn/v1/files/{file_id}/content \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.moonshot.cn/v1/files/{file_id}/content"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonshot.cn/v1/files/{file_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}获取文件内容
获取以 file-extract 用途上传的文件的提取文本内容。
GET
/
v1
/
files
/
{file_id}
/
content
获取文件内容
调用示例
调用示例
- python
- curl
# 注意,之前 retrieve_content api 在最新版本标记了 warning, 可以用下面这行代替
# 如果是旧版本,可以用 retrieve_content
file_content = client.files.content(file_id=file_object.id).text
curl https://api.moonshot.cn/v1/files/{file_id}/content \
-H "Authorization: Bearer $MOONSHOT_API_KEY"
此页面对您有帮助吗?
⌘I